import { Transform } from 'node:stream';
import { HTMLBeautifyOptions } from 'js-beautify';

interface Options extends HTMLBeautifyOptions {
    /**
     * Display name of file from stream that is being formatting.
     */
    verbose?: boolean;
}
/**
 * format HTML via `js-beautify`
 * @param options format options `Options`
 * @returns formatted HTML
 */
declare const formatHTML: (options?: Options) => Transform;

export { Options, formatHTML as default, formatHTML };
